Cantera 2.6.0

Namespaces | Functions
vcs_util.cpp File Reference

Internal definitions for utility functions for the VCSnonideal package. More...

`#include "cantera/equil/vcs_internal.h"`
`#include "cantera/equil/vcs_defs.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/ctexceptions.h"`
`#include <cassert>`
`#include <cstring>`
Include dependency graph for vcs_util.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
double | vcs_l2norm (const vector_fp &vec)
| determine the l2 norm of a vector of doubles More...
const char * | vcs_speciesType_string (int speciesStatus, int length=100)
| Returns a const char string representing the type of the species given by the first argument. More...
bool | vcs_doubleEqual (double d1, double d2)
| Simple routine to check whether two doubles are equal up to roundoff error. More...

## Detailed Description

Internal definitions for utility functions for the VCSnonideal package.

Definition in file vcs_util.cpp.